Skip to main content
GET
/
v1
/
transferSpec
/
{transferSpecHash}
Get full TransferSpec by transferSpecHash
curl --request GET \
  --url https://gateway-api-testnet.circle.com/v1/transferSpec/{transferSpecHash}
import requests

url = "https://gateway-api-testnet.circle.com/v1/transferSpec/{transferSpecHash}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://gateway-api-testnet.circle.com/v1/transferSpec/{transferSpecHash}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "version": 1,
  "sourceDomain": 0,
  "destinationDomain": 4,
  "sourceContract": "0x000000000000000000000000557777735b1dd18194f1b84256be2a3cdee6cb6f",
  "destinationContract": "0x000000000000000000000000552222279206cb0434128e0cae4558a25779c79f",
  "sourceToken": "0x0000000000000000000000001c7d4b196cb0c7b01d743fbc6116a902379c7238",
  "destinationToken": "0x000000000000000000000000036cbd53842c5426634e7929541ec2318f3dcf7e",
  "sourceDepositor": "0x0000000000000000000000002b45eF6A547A73eA248A1bCED808575c5a4839eE",
  "destinationRecipient": "0x0000000000000000000000008BA1f109551bD432803012645Hac136c95e5431",
  "sourceSigner": "0x000000000000000000000000742d35Cc6623C026c893b7c2FD85c4E4A0EF4321",
  "destinationCaller": "0x0000000000000000000000000000000000000000000000000000000000000000",
  "value": "1000000",
  "salt": "0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef",
  "hookData": "0x"
}

Path Parameters

transferSpecHash
string
required

The keccak256 hash of the TransferSpec A 32-byte hex string.

Pattern: ^0x[a-fA-F0-9]{64}$
Example:

"0x1234567890123456789012345678901234567890123456789012345678901234"

Response

TransferSpec information

Complete TransferSpec information

version
integer
required

Version of the transfer spec (uint32).

Example:

1

sourceDomain
integer
required

The domain of the wallet contract this transfer came from (uint32).

Example:

0

destinationDomain
integer
required

The domain of the minter contract this transfer is valid for (uint32).

Example:

4

sourceContract
string
required

The address of the wallet contract on the source domain (32-byte padded).

Example:

"0x000000000000000000000000557777735b1dd18194f1b84256be2a3cdee6cb6f"

destinationContract
string
required

The address of the minter contract on the destination domain (32-byte padded).

Example:

"0x000000000000000000000000552222279206cb0434128e0cae4558a25779c79f"

sourceToken
string
required

The token address on the source domain (32-byte padded).

Example:

"0x0000000000000000000000001c7d4b196cb0c7b01d743fbc6116a902379c7238"

destinationToken
string
required

The token address on the destination domain (32-byte padded).

Example:

"0x000000000000000000000000036cbd53842c5426634e7929541ec2318f3dcf7e"

sourceDepositor
string
required

The address to debit within the wallet contract on the source domain (32-byte padded).

Example:

"0x0000000000000000000000002b45eF6A547A73eA248A1bCED808575c5a4839eE"

destinationRecipient
string
required

The address that should receive the funds on the destination domain (32-byte padded).

Example:

"0x0000000000000000000000008BA1f109551bD432803012645Hac136c95e5431"

sourceSigner
string
required

The signer who signed for the transfer (32-byte padded).

Example:

"0x000000000000000000000000742d35Cc6623C026c893b7c2FD85c4E4A0EF4321"

destinationCaller
string
required

The address of the caller who may use the attestation, 0 address if any caller (32-byte padded).

Example:

"0x0000000000000000000000000000000000000000000000000000000000000000"

value
string
required

The amount to be transferred.

Example:

"1000000"

salt
string
required

The salt value used in the transfer spec.

Example:

"0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef"

hookData
string
required

Additional hook data for the transfer spec.

Example:

"0x"